Subject: Re: Cannot wake-up from standby with MPC8313

From: Scott Wood <[email-masked]>
Date: Fri, 20 Jan 2012 14:05:12 -0600

On 01/18/2012 04:16 AM, Norbert van Bolhuis wrote:
> Yes this is it!
> You mentioned mpc8313erdb bug before, I guess you had to mention it
> twice before
> I looked at mpc8313erdb bug description.
> 
> The mpc8313erdb bug is described as follows:
> 
> 3.5 Power management control (PMC) registers cannot be
> accessed?
> The PMC registers range from IMMR + 0x0B00 to IMMR + 0x0BFF. When this
> area is accessed in u-boot,
> the RDB hangs up. It appears that the PMC block is related to the JTAG
> interface; TRST must not be pulled
> down for normal operation of the PMC block. Possible workarounds are as
> follows:
> • Attach a debugger to drive TRST high during normal operation.
> • Remove the pull-down resistor (R37) for TRST. Although this tested on
> some RDBs without any
> problem, it violates the hardware specification. If it does not work on
> your RDB, use another workaround.
> 
> 
> I guess this is an MPC8313 problem rather than an MPC8313E-RDB problem ?
> and I would expect it to be mentioned in MPC8313E Errata (which isn't the
> case).

It is mentioned in the MPC8313E manual (4.2.2 step #10) that TRST must
not be asserted except when PORESET is asserted.  The mpc8313erdb bug
was that the board was not complying with this.

-Scott